<template>
  <div class="login">
    <div class="contenedor-principal">
      <div class="container-login pt-md-5">
        <div class="icon d-flex align-items-center justify-content-center">
          <img src="../assets/img/og_coppel.webp" />
        </div>
        <form class="form-floating login-form p-md-5" @submit="iniciarSesion">
          <div class="form-floating mb-3">
            <input
              type="email"
              class="form-control"
              placeholder="Correo electrónico"
              id="correo"
              v-model="correo"
              required
              @keyup="limpiarError"
            />
            <label for="correo">Correo electrónico</label>
          </div>
          <div class="form-floating mb-3">
            <input
              type="password"
              class="form-control rounded-left"
              placeholder="Contraseña"
              id="password"
              v-model="password"
              required
              @keyup="limpiarError"
            />
            <label for="password">Contraseña</label>
          </div>
          <div class="form-group">
            <button type="submit" class="btn btn-primary submit p-3 px-5" id="btn-iniciar">
              Iniciar sesión
            </button>
          </div>
        </form>
        <div class="contenedor-error" v-if="apiError != ''">
          {{ apiError }}
        </div>
        <div class="footer">
          <table>
            <tbody>
              <tr>
                <td>
                  <p>© {{ new Date().getFullYear() }} Rinku</p>
                </td>
              </tr>
            </tbody>
          </table>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import serviceLogin from '../services/login'
export default {
  name: 'Login',
  data() {
    return {
      correo: '',
      password: '',
      apiError: ''
    }
  },
  methods: {
    async iniciarSesion(e) {
      e.preventDefault()

      try {
        const response = await serviceLogin.login(this.correo, this.password)
        
        if (response.error === false) {
          this.$router.push({ name: 'employees' })
        } else {
          this.apiError = response.msg
        }
      } catch (error) {
        this.apiError = error.response.data.msg || 'No se pudo iniciar sesión intente de nuevo.'
      }
    },
    limpiarError() {
      this.apiError = ''
    }
  }
}
</script>

<style scoped>
html {
  height: 100%;
}
.contenedor-error {
  display: flex;
  justify-content: center;
  color: #f16a6a;
}
.login {
  background-color: #f8f9fd;
  min-height: 100vh;
  width: 100%;
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: center;
  padding-bottom: 10px;
  padding-top: 10px;
}

.contenedor-principal {
  margin: auto;
}
.container-login {
  padding-top: 10px;
  padding-bottom: 10px;
  width: 634px;
  border-radius: 8px;
  background-color: rgb(255, 255, 255);
  box-shadow: 0px 10px 34px -15px rgba(0, 0, 0, 0.24);
  min-height: 650px;
  display: flex;
  flex-direction: column;
  position: relative;
}

.container-login > h2 {
  color: black;
  font-size: 25px;
  margin-bottom: 20px;
  font-weight: 700;
}

.container-login .icon {
  width: 125px;
  height: 125px;
  margin: 0 auto;
  margin-bottom: 10px;
}

#btn-iniciar {
  width: 100%;
}

.footer {
  width: 100%;
  text-align: center;
  font-size: 10px;
  color: #094f79;
  bottom: 0;
  position: absolute;
}
.footer table {
  width: 100%;
}

.login-wrap .icon {
  width: 80px;
  height: 80px;
  background: #094f79;
  border-radius: 50%;
  font-size: 30px;
  margin: 0 auto;
  margin-bottom: 10px;
}
.login-wrap .icon span {
  color: #fff;
}

img {
  width: 100%;
  border-radius: 50%;
}
</style>
